Bug 224493 - multimedia/webcamoid: missing runtime dependency on x11-toolkits/qt5-quickcontrols
Summary: multimedia/webcamoid: missing runtime dependency on x11-toolkits/qt5-quickcon...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://reviews.freebsd.org/D13565
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2017-12-20 22:54 UTC by Jan Beich
Modified: 2019-09-10 06:50 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (yuri)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-12-20 22:54:21 UTC
webcamoid fails to start without in X11 jail due to lack of USE_QT5=quickcontrols_run. Ignoring Qt5 itself underspecifying some dependencies here's what happens:

$ pkg install webcamoid mesa-dri xkeyboard-config
$ service dbus onestart
$ webcamoid
W: [(null)] caps.c: Normally all extra capabilities would be dropped now, but that's impossible because PulseAudio was built without capabilities support.
qt.network.ssl: QSslSocket: cannot resolve SSL_CTX_set1_groups
QQmlApplicationEngine failed to load component
qrc:/Webcamoid/share/qml/main.qml:21 module "QtQuick.Dialogs" is not installed
qrc:/Webcamoid/share/qml/main.qml:23 module "QtQuick.Controls" is not installed
qrc:/Webcamoid/share/qml/main.qml:21 module "QtQuick.Dialogs" is not installed
qrc:/Webcamoid/share/qml/main.qml:23 module "QtQuick.Controls" is not installed
^C

Workaround:
$ pkg install qt5-quickcontrols
Comment 1 Yuri Victorovich freebsd_committer 2017-12-20 23:02:50 UTC
Thanks Jan,

I will submit a fix soon.

As for "QSslSocket: cannot resolve SSL_CTX_set1_groups", this is likely because the base SSL is too old. I can't quite understand why it is allowed to be linked with ports.


Cheers,
Yuri
Comment 2 Yuri Victorovich freebsd_committer 2017-12-21 01:16:01 UTC
Added the patch for review.

The error messages like these
> qrc:/Webcamoid/share/qml/main.qml:21 module "QtQuick.Dialogs" is not installed
obviously won't go away. It's an upstream bug.

Yuri
Comment 3 Yuri Victorovich freebsd_committer 2017-12-21 02:23:52 UTC
Committed, thanks for reporting!
Comment 4 commit-hook freebsd_committer 2017-12-21 02:24:26 UTC
A commit references this bug:

Author: yuri
Date: Thu Dec 21 02:23:31 UTC 2017
New revision: 456881
URL: https://svnweb.freebsd.org/changeset/ports/456881

Log:
  multimedia/webcamoid: Added the missing runtime dependency on qt5-quickcontrols

  PR:		224493
  Submitted by:	jbeich
  Approved by:	adamw (mentor)
  Differential Revision:	https://reviews.freebsd.org/D13565

Changes:
  head/multimedia/webcamoid/Makefile
Comment 5 Aaron Farias 2019-09-10 06:19:05 UTC
yeah the bug is very annoying. since it lacks the dependency, for you to open up. The program. Qt5-quickcontrols, is there a way to fix this since you need the dependency before you can fiscally run the program.

thank you very much. For the, great job, you  make for us to use the applications, and great distribution. sincerely

Aaron Farias Martinez.
Comment 6 commit-hook freebsd_committer 2019-09-10 06:50:44 UTC
A commit references this bug:

Author: yuri
Date: Tue Sep 10 06:50:04 UTC 2019
New revision: 511740
URL: https://svnweb.freebsd.org/changeset/ports/511740

Log:
  multimedia/webcamoid: Add missing runtime dependency x11-toolkits/qt5-quickcontrols

  This has been committed once, in rev.456881, but it was later lost with some other commit.

  PR:		224493
  Reported by:	jbeich,  Aaron Farias <timido@ubuntu.com>

Changes:
  head/multimedia/webcamoid/Makefile